import json
import os

#json.decoder.JSONDecodeError:
def check_jsonl_format(file_path):
    with open(file_path, 'r', encoding='utf-8') as file:
        for line_number, line in enumerate(file, start=1):
            line = line.strip()
            if line:
                json.loads(line)
    return True

#json.decoder.JSONDecodeError:
def check_json_format(file_path):
    with open(file_path, 'r', encoding='utf-8') as file:
        data = file.read()
        json.loads(data)
    return True

def check_dataset_format(file_path):
    _, file_extension = os.path.splitext(file_path)
    
    if file_extension == '.json':
        return check_json_format(file_path)
    elif file_extension == '.jsonl':
        return check_jsonl_format(file_path)
    return True

def check_dataset_path(directory_path):    
    for root, _, files in os.walk(directory_path):
        for file in files:
            file_path = os.path.join(root, file)
            # Check the file format
            check_dataset_format(file_path)